<?php


namespace App\Entities\RespostaNumericaInteira;


use App\Utils\Entity;

class RespostaNumericaInteira extends Entity
{
    protected $id;
    protected $id_resposta_formulario;
    protected $resposta;

    public static function builder(): RespostaNumericaInteiraBuilder
    {
        return new RespostaNumericaInteiraBuilder;
    }

    /**
     * @return int
     */
    public function getId(): int
    {
        return $this->id;
    }

    /**
     * @return int
     */
    public function getIdRESPOSTAFORMULARIO(): int
    {
        return $this->id_resposta_formulario;
    }

    /**
     * @return int
     */
    public function getResposta(): int
    {
        return $this->resposta;
    }

    /**
     * @param int $id
     */
    public function setId(int $id): void
    {
        $this->id = $id;
    }

    /**
     * @param int $id_resposta_formulario
     */
    public function setIdRESPOSTAFORMULARIO(int $id_resposta_formulario): void
    {
        $this->id_resposta_formulario = $id_resposta_formulario;
    }

    /**
     * @param int $resposta
     */
    public function setResposta(int $resposta): void
    {
        $this->resposta = $resposta;
    }


}